Cyberduck Mountain Duck CLI

#8639 closed defect (duplicate)

Crashes when Trying to Open Preferences

Reported by: rclapman Owned by:
Priority: high Milestone: 4.7
Component: core Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Process:               Cyberduck [633]
Path:                  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:            ch.sudo.cyberduck
Version:               4.6.5 (16970)
App Item ID:           409222199
App External ID:       811783518
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Cyberduck [633]
User ID:               501

Date/Time:             2015-03-05 13:43:23.080 -0600
OS Version:            Mac OS X 10.10.2 (14C109)
Report Version:        11
Anonymous UUID:        7C4C8106-4280-C66E-0640-A184F64E9CDA


Time Awake Since Boot: 1400 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000008

VM Regions Near 0x8:
--> 
    __TEXT                 000000010c28c000-000000010c292000 [   24K] r-x/rwx SM=COW  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck

Application Specific Information:
Performing @selector(preferencesMenuClicked:) from sender NSMenuItem 0x6100000b8900
*** Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: 'Invalid parameter not satisfying: aString != nil'
terminating with uncaught exception of type NSException
abort() called

Change History (5)

comment:1 Changed on Mar 5, 2015 at 8:24:48 PM by dkocher

  • Description modified (diff)
  • Milestone set to 4.7
  • Summary changed from Cyberduck on Mac Crashes when Trying to Open Preferences to Crashes when Trying to Open Preferences

comment:2 Changed on Mar 5, 2015 at 8:30:24 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Fixed in r17057. Please request a donation key for your Mac App Store purchase from ​feedback@… to run the version from https://cyberduck.io until this release is available as an update in the store.

comment:3 follow-up: Changed on Mar 5, 2015 at 8:31:14 PM by dkocher

This issue only affects the sandboxed application that is distributed through the Mac App Store.

comment:4 in reply to: ↑ 3 ; follow-up: Changed on Apr 23, 2015 at 1:29:26 PM by archie_rosenblum@…

Replying to dkocher:

This issue only affects the sandboxed application that is distributed through the Mac App Store.

When will this be available on the App Store? The downloaded version is not installing on my machine.

comment:5 in reply to: ↑ 4 Changed on Apr 23, 2015 at 2:19:04 PM by dkocher

Replying to archie_rosenblum@…:

Replying to dkocher:

This issue only affects the sandboxed application that is distributed through the Mac App Store.

When will this be available on the App Store? The downloaded version is not installing on my machine.

It is currently pending review to be released in the Mac App Store.

Note: See TracTickets for help on using tickets.
swiss made software